{ Q-commands }

        begin
        prompt_1st_and_read_2nd_char;
        if ch=^P then
            begin index:=old_index; find_page(index,cx,cy); goto loop; end
        else
            begin
            old_index:=index;
            case ch of

{ Q - Cursor movement }

            ^S:  to_left_on_line;
            ^D:  to_right_on_line;
            ^E:  to_top_of_screen;
            ^X:  to_bottom_of_screen;
            ^R:  to_top_of_file;
            ^C:  to_end_of_file;
            ^B:  to_beginning_of_block;
            ^K:  to_end_of_block;
            ^F:  find;
            ^A:  find_and_replace;

{ Q - Delete }

            ^Y:  delete_to_end_of_line;
          #$7F:  delete_to_beginning_of_line;

                 end;
            end;
        end;
